GDB (xrefs)

Functions | Variables
/tmp/gdb-8.1/gdb/i386-darwin-tdep.h File Reference
`#include "frame.h"`

Go to the source code of this file.

## Functions
int | darwin_dwarf_signal_frame_p (struct gdbarch *, struct frame_info *)

## Variables
int | i386_darwin_thread_state_reg_offset []
const int | i386_darwin_thread_state_num_regs

## Function Documentation

## ◆ darwin_dwarf_signal_frame_p()

int darwin_dwarf_signal_frame_p | ( | struct gdbarch * | ,
|  | struct frame_info * |
| ) |  |

Definition at line 101 of file i386-darwin-tdep.c.

References i386_sigtramp_p().

Referenced by i386_darwin_init_abi(), and x86_darwin_init_abi_64().

## Variable Documentation

## ◆ i386_darwin_thread_state_num_regs

const int i386_darwin_thread_state_num_regs

Definition at line 62 of file i386-darwin-tdep.c.

Referenced by darwin_complete_target(), and i386_darwin_init_abi().

## ◆ i386_darwin_thread_state_reg_offset

int i386_darwin_thread_state_reg_offset[]

Definition at line 42 of file i386-darwin-tdep.c.

Referenced by darwin_complete_target(), i386_darwin_fetch_inferior_registers(), i386_darwin_init_abi(), and i386_darwin_store_inferior_registers().